#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-4)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Spreadsheet-WriteExcel
Version		:	2.40
Release		:	16.2.0.rel%{?dist}
Summary		:	Write to a cross-platform Excel binary file
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

#-----------------------------------------------------------------------------
%description
The Spreadsheet::WriteExcel Perl module can be used to
create a cross-platform Excel binary file. Multiple
worksheets can be added to a workbook and formatting
can be applied to cells. Text, numbers, formulas,
hyperlinks, images and charts can be written to the cells.

The file produced by this module is compatible with
Excel 97, 2000, 2002, 2003 and 2007.

The module will work on the majority of Windows, UNIX
and Mac platforms. Generated files are also compatible
with the Linux/UNIX spreadsheet applications Gnumeric
and OpenOffice.org.

This module cannot be used to write to an existing Excel
file (See "MODIFYING AND REWRITING EXCEL FILES").

Note: This module is in maintenance only mode and in
future will only be updated with bug fixes. The newer,
more feature rich and API compatible Excel::Writer::XLSX
module is recommended instead.
See, "Migrating to Excel::Writer::XLSX".

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_bindir}/chartex
%{_datadir}/perl5/core_perl/Spreadsheet/WriteExcel.pm
%{_datadir}/perl5/core_perl/Spreadsheet/WriteExcel/*.pm
%{_datadir}/perl5/core_perl/Spreadsheet/WriteExcel/Chart/*.pm
%{_mandir}/man1/chartex.1.gz
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
